Bug 717814 - RFE - Display warning if orphan po file is detected.
RFE - Display warning if orphan po file is detected.
Status: CLOSED WONTFIX
Product: Zanata
Classification: Community
Component: Component-Maven, Component-PythonClient (Show other bugs)
unspecified
All Linux
medium Severity low
: ---
: ---
Assigned To: Isaac Rooskov
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-29 21:31 EDT by Ding-Yi Chen
Modified: 2015-08-06 01:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-23 20:01:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-06-29 21:31:35 EDT
Description of problem:
Current maven client ignores orphan po files (the po files that don't have corresponding pot files) silently.

However, get warning when orphan po file is detected has following benefits:
1) Less misleading
2) It is easier for users to notice the change so they can take corresponding actions, like a) remove the orphan file or b) discuss with upstream about the change.


Version-Release number of selected component (if applicable):
1.4-SNAPSHOT (20110623-1549)


How reproducible:
Always

Steps to Reproduce:
1. git clone git://git.fedorahosted.org/docs/deployment-guide.git
2. cd deployment-guide; git checkout f13
3. Create a project "deployment-guide" in zanata, and a version as "f13"
4. Push the project to zanata server
  
Actual results:
Orphan po files do not trigger warning.

Expected results:
Orphan po files trigger warning like:
[Warning] XXX.po is orphaned.


Additional info:
Comment 1 Sean Flanigan 2011-09-07 00:33:07 EDT
Assigning to Scrum product owner for prioritisation.
Comment 2 Runa Bhattacharjee 2012-07-30 10:02:41 EDT
Is this still a problem? Thanks
Comment 3 Sean Flanigan 2012-07-30 22:37:01 EDT
This RFE has not been implemented yet.

Note You need to log in before you can comment on or make changes to this bug.